OpenMesh: OpenMesh::IO::ExporterT< Mesh > Class Template Reference

| OpenMesh

Public Member Functions | List of all members
OpenMesh::IO::ExporterT< Mesh > Class Template Reference

This class template provides an exporter module for OpenMesh meshes. More...

`#include <OpenMesh/Core/IO/exporter/ExporterT.hh>`

Inheritance diagram for OpenMesh::IO::ExporterT< Mesh >:
[legend]
Collaboration diagram for OpenMesh::IO::ExporterT< Mesh >:
[legend]

## Public Member Functions
| ExporterT (const Mesh &_mesh)
Vec3f | point (VertexHandle _vh) const
Vec3f | normal (VertexHandle _vh) const
Vec3uc | color (VertexHandle _vh) const
Vec4uc | colorA (VertexHandle _vh) const
Vec3ui | colori (VertexHandle _vh) const
Vec4ui | colorAi (VertexHandle _vh) const
Vec3f | colorf (VertexHandle _vh) const
Vec4f | colorAf (VertexHandle _vh) const
Vec2f | texcoord (VertexHandle _vh) const
Vec2f | texcoord (HalfedgeHandle _heh) const
Vec3uc | color (EdgeHandle _eh) const
Vec4uc | colorA (EdgeHandle _eh) const
Vec3ui | colori (EdgeHandle _eh) const
Vec4ui | colorAi (EdgeHandle _eh) const
Vec3f | colorf (EdgeHandle _eh) const
Vec4f | colorAf (EdgeHandle _eh) const
unsigned int | get_vhandles (FaceHandle _fh, std::vector< VertexHandle > &_vhandles) const
unsigned int | get_face_texcoords (std::vector< Vec2f > &_hehandles) const
HalfedgeHandle | getHeh (FaceHandle _fh, VertexHandle _vh) const
| getHeh returns the HalfEdgeHandle that belongs to the face specified by _fh and has a toVertexHandle that corresponds to _vh. More...
Vec3f | normal (FaceHandle _fh) const
Vec3uc | color (FaceHandle _fh) const
Vec4uc | colorA (FaceHandle _fh) const
Vec3ui | colori (FaceHandle _fh) const
Vec4ui | colorAi (FaceHandle _fh) const
Vec3f | colorf (FaceHandle _fh) const
Vec4f | colorAf (FaceHandle _fh) const
virtual const BaseKernel * | kernel ()
size_t | n_vertices () const
size_t | n_faces () const
size_t | n_edges () const
bool | is_triangle_mesh () const
bool | has_vertex_normals () const
bool | has_vertex_colors () const
bool | has_vertex_texcoords () const
bool | has_edge_colors () const
bool | has_face_normals () const
bool | has_face_colors () const

## Detailed Description

### template<class Mesh>
class OpenMesh::IO::ExporterT< Mesh >

This class template provides an exporter module for OpenMesh meshes.

## Member Function Documentation

## ◆ getHeh()

template<class Mesh>

HalfedgeHandle OpenMesh::IO::ExporterT< Mesh >::getHeh | ( | FaceHandle | _fh,
|  | VertexHandle | _vh
| ) |  | const
| inlinevirtual

getHeh returns the HalfEdgeHandle that belongs to the face specified by _fh and has a toVertexHandle that corresponds to _vh.

Parameters

  _fh | FaceHandle that is used to search for the half edge handle
  _vh | to_vertex_handle of the searched heh

Returns
  HalfEdgeHandle or invalid HalfEdgeHandle if none is found.

Implements OpenMesh::IO::BaseExporter.

The documentation for this class was generated from the following file:

- OpenMesh/Core/IO/exporter/ExporterT.hh